Skip to content

Update a purchase group (preferred method)

PATCH
/events/{id}/purchase-groups/{pgid}

Partially update a purchase group. This is the RESTful way to update resources. Only the fields provided in the request body will be updated.

id
required
string

The unique identifier of the event

pgid
required
string

The unique identifier of the purchase group

object
groupSize
number
completed
boolean
contactPerson
object

Successfully updated purchase group

object
status
string
Example
ok
data
object
id
string
created
string format: date-time
updated
string format: date-time
contactPerson
object
id
string
email
string format: email
firstName
string
lastName
string
phone
string
orderIds
Array<string>
notes
Array<object>
object
offeringId
string
description
string
offering
object
orders
Array<object>
object
groupSize
number
ticketsPurchased
number
completed
boolean
tableId
string
nullable

Invalid request data

Forbidden - insufficient permissions

Purchase group not found

Internal server error